summaryrefslogtreecommitdiffstats
path: root/slackware64/d
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64/d')
-rwxr-xr-xslackware64/d/install-packages73
-rw-r--r--slackware64/d/install.end14
-rw-r--r--slackware64/d/maketag78
-rw-r--r--slackware64/d/maketag.ez78
-rw-r--r--slackware64/d/tagfile43
5 files changed, 286 insertions, 0 deletions
diff --git a/slackware64/d/install-packages b/slackware64/d/install-packages
new file mode 100755
index 000000000..3232fb680
--- /dev/null
+++ b/slackware64/d/install-packages
@@ -0,0 +1,73 @@
+#!/bin/sh
+# Copyright 2002 Slackware Linux, Inc., Concord, CA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This is a simple script to install a package series from the command line.
+# If you're already running Slackware, you can just run this script to install
+# the packages.
+#
+# I originally got the idea for this tool because Slackware with both KDE and
+# GNOME doesn't fit on a single CD-ROM anymore, so I wanted to provide a quick
+# way to add a series later on with the same ease as the initial installation.
+#
+# To use this script, just run it as root in the current directory like this:
+#
+# ./install-packages
+#
+# Note that this script does not make any attempt to remove or upgrade existing
+# packages. If you want to upgrade an existing installation, you will be better
+# served using the pkgtools directly. Here's how to upgrade all the packages in
+# this series:
+#
+# upgradepkg *.t?z (upgrades already installed packages)
+# installpkg *.t?z (installs all packages, to make sure new ones are installed)
+#
+# If you upgrade a series like this, afterwards you might need to merge over any
+# required changes in the new config files, which will have the suffix .new.
+# These can be found like this:
+#
+# find / -name "*.new"
+#
+# OK, on with the show! Enjoy! :-)
+#
+# Patrick Volkerding <volkerdi@slackware.com>
+
+# Use the existing maketag script to provide a package selection menu:
+sh maketag
+
+# Quick bail if nothing was requested:
+if grep ADD /var/log/setup/tmp/SeTnewtag 1> /dev/null 2> /dev/null ; then
+ true
+else
+ rm -f /var/log/setup/tmp/SeTnewtag
+ exit
+fi
+
+# Install the selected packages:
+for PKG in *.t?z ; do
+ if [ ! "$ROOT" = "" ]; then
+ installpkg -root $ROOT -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ else
+ installpkg -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ fi
+done
+rm -f /var/log/setup/tmp/SeTnewtag
+echo
+echo "Done installing packages."
diff --git a/slackware64/d/install.end b/slackware64/d/install.end
new file mode 100644
index 000000000..67eb307dd
--- /dev/null
+++ b/slackware64/d/install.end
@@ -0,0 +1,14 @@
+#SERIES_LAST_DIRECTORY
+
+This file must be present to signal to 'setup' that this is the last
+directory in this package series. It serves no other purpose, other than
+to make you curious enough to use rot13 to read the rest of it (_at your
+own risk!_ :)
+
+Sbe vasbezngvba nobhg trggvat "Obo" va lbhe yvsr, cyrnfr ivfvg:
+
+ Puhepu bs gur FhoTravhf
+ uggc://jjj.fhotravhf.pbz
+
+Qba'g fnl lbh jrer abg jnearq jura gur Kvfgf pbzr sbe lbh.
+
diff --git a/slackware64/d/maketag b/slackware64/d/maketag
new file mode 100644
index 000000000..a9148feca
--- /dev/null
+++ b/slackware64/d/maketag
@@ -0,0 +1,78 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES D (PROGRAM DEVELOPMENT)" \
+ --checklist "Please confirm the packages you wish to install \
+from series D. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are \
+done." 22 72 12 \
+"autoconf" "GNU source autoconfig system" "on" \
+"automake" "GNU makefile generator" "on" \
+"binutils" "GNU C compiler utilities" "on" \
+"bison" "GNU bison parser generator" "on" \
+"ccache" "Fast Compiler Cache" "on" \
+"clisp" "CLISP Common Lisp" "on" \
+"cmake" "Cross platform make utility" "on" \
+"cscope" "Source code browser" "on" \
+"cvs" "Concurrent Versions System" "on" \
+"dev86" "8086 assembler/loader" "on" \
+"distcc" "gcc frontend to use networked machines" "on" \
+"doxygen" "Source code documentation generator" "on" \
+"flex" "Fast lexical analyzer generator" "on" \
+"gcc" "GNU gcc-4.3.3 C compiler" "on" \
+"gcc-g++" "GNU C++ compiler for gcc-4.3.3" "on" \
+"gcc-gfortran" "GNU Fortran-95 compiler for gcc-4.3.3" "on" \
+"gcc-gnat" "GNU Ada 95 compiler for gcc-4.3.3" "on" \
+"gcc-java" "GNU Java compiler for gcc-4.3.3" "on" \
+"gcc-objc" "GNU Objective-C compiler for gcc-4.3.3" "on" \
+"gdb" "The GNU debugger" "on" \
+"gettext-tools" "GNU internationalization devel package" "on" \
+"git" "A directory content manager" "on" \
+"gperf" "Generates hash functions" "on" \
+"guile" "GNU extension language library" "on" \
+"indent" "Change the indenting style of a C program" "on" \
+"intltool" "Internationalization utilities" "on" \
+"kernel-headers" "Linux kernel include files" "on" \
+"libtool" "GNU libtool library support script" "on" \
+"m4" "GNU m4 macro processor" "on" \
+"make" "GNU make" "on" \
+"mercurial" "Distributed source management system" "on" \
+"nasm" "NASM assembler" "on" \
+"oprofile" "System profiling tool" "on" \
+"p2c" "A Pascal to C translator" "on" \
+"perl" "Larry Wall's systems language" "on" \
+"pkg-config" "A tool for managing library information" "on" \
+"pmake" "Parallel make from BSD" "on" \
+"python" "An interpreted object-oriented language" "on" \
+"rcs" "GNU revision control system" "on" \
+"ruby" "Interpreted object-oriented script language" "on" \
+"strace" "Traces program execution" "on" \
+"subversion" "Subversion version control system" "on" \
+"swig" "Simplified Wrapper and Interface Generator" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+autoconf automake binutils bison ccache clisp cmake cscope cvs dev86 distcc doxygen flex gcc gcc-g++ gcc-gfortran gcc-gnat gcc-java gcc-objc gdb gettext-tools git gperf guile indent intltool kernel-headers libtool m4 make mercurial nasm oprofile p2c perl pkg-config pmake python rcs ruby strace subversion swig \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+autoconf automake binutils bison ccache clisp cmake cscope cvs dev86 distcc doxygen flex gcc gcc-g++ gcc-gfortran gcc-gnat gcc-java gcc-objc gdb gettext-tools git gperf guile indent intltool kernel-headers libtool m4 make mercurial nasm oprofile p2c perl pkg-config pmake python rcs ruby strace subversion swig \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/d/maketag.ez b/slackware64/d/maketag.ez
new file mode 100644
index 000000000..a9148feca
--- /dev/null
+++ b/slackware64/d/maketag.ez
@@ -0,0 +1,78 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES D (PROGRAM DEVELOPMENT)" \
+ --checklist "Please confirm the packages you wish to install \
+from series D. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are \
+done." 22 72 12 \
+"autoconf" "GNU source autoconfig system" "on" \
+"automake" "GNU makefile generator" "on" \
+"binutils" "GNU C compiler utilities" "on" \
+"bison" "GNU bison parser generator" "on" \
+"ccache" "Fast Compiler Cache" "on" \
+"clisp" "CLISP Common Lisp" "on" \
+"cmake" "Cross platform make utility" "on" \
+"cscope" "Source code browser" "on" \
+"cvs" "Concurrent Versions System" "on" \
+"dev86" "8086 assembler/loader" "on" \
+"distcc" "gcc frontend to use networked machines" "on" \
+"doxygen" "Source code documentation generator" "on" \
+"flex" "Fast lexical analyzer generator" "on" \
+"gcc" "GNU gcc-4.3.3 C compiler" "on" \
+"gcc-g++" "GNU C++ compiler for gcc-4.3.3" "on" \
+"gcc-gfortran" "GNU Fortran-95 compiler for gcc-4.3.3" "on" \
+"gcc-gnat" "GNU Ada 95 compiler for gcc-4.3.3" "on" \
+"gcc-java" "GNU Java compiler for gcc-4.3.3" "on" \
+"gcc-objc" "GNU Objective-C compiler for gcc-4.3.3" "on" \
+"gdb" "The GNU debugger" "on" \
+"gettext-tools" "GNU internationalization devel package" "on" \
+"git" "A directory content manager" "on" \
+"gperf" "Generates hash functions" "on" \
+"guile" "GNU extension language library" "on" \
+"indent" "Change the indenting style of a C program" "on" \
+"intltool" "Internationalization utilities" "on" \
+"kernel-headers" "Linux kernel include files" "on" \
+"libtool" "GNU libtool library support script" "on" \
+"m4" "GNU m4 macro processor" "on" \
+"make" "GNU make" "on" \
+"mercurial" "Distributed source management system" "on" \
+"nasm" "NASM assembler" "on" \
+"oprofile" "System profiling tool" "on" \
+"p2c" "A Pascal to C translator" "on" \
+"perl" "Larry Wall's systems language" "on" \
+"pkg-config" "A tool for managing library information" "on" \
+"pmake" "Parallel make from BSD" "on" \
+"python" "An interpreted object-oriented language" "on" \
+"rcs" "GNU revision control system" "on" \
+"ruby" "Interpreted object-oriented script language" "on" \
+"strace" "Traces program execution" "on" \
+"subversion" "Subversion version control system" "on" \
+"swig" "Simplified Wrapper and Interface Generator" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+autoconf automake binutils bison ccache clisp cmake cscope cvs dev86 distcc doxygen flex gcc gcc-g++ gcc-gfortran gcc-gnat gcc-java gcc-objc gdb gettext-tools git gperf guile indent intltool kernel-headers libtool m4 make mercurial nasm oprofile p2c perl pkg-config pmake python rcs ruby strace subversion swig \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+autoconf automake binutils bison ccache clisp cmake cscope cvs dev86 distcc doxygen flex gcc gcc-g++ gcc-gfortran gcc-gnat gcc-java gcc-objc gdb gettext-tools git gperf guile indent intltool kernel-headers libtool m4 make mercurial nasm oprofile p2c perl pkg-config pmake python rcs ruby strace subversion swig \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/d/tagfile b/slackware64/d/tagfile
new file mode 100644
index 000000000..92415a8db
--- /dev/null
+++ b/slackware64/d/tagfile
@@ -0,0 +1,43 @@
+autoconf:OPT
+automake:OPT
+binutils:ADD
+bison:ADD
+ccache:OPT
+clisp:OPT
+cmake:REC
+cscope:OPT
+cvs:REC
+dev86:ADD
+distcc:OPT
+doxygen:OPT
+flex:ADD
+gcc:ADD
+gcc-g++:REC
+gcc-gfortran:OPT
+gcc-gnat:OPT
+gcc-java:OPT
+gcc-objc:OPT
+gdb:REC
+gettext-tools:REC
+git:REC
+gperf:REC
+guile:OPT
+indent:OPT
+intltool:REC
+kernel-headers:ADD
+libtool:OPT
+m4:REC
+make:ADD
+mercurial:REC
+nasm:OPT
+oprofile:OPT
+p2c:OPT
+perl:REC
+pkg-config:REC
+pmake:REC
+python:REC
+rcs:REC
+ruby:REC
+strace:REC
+subversion:OPT
+swig:REC